> ## Documentation Index
> Fetch the complete documentation index at: https://mitchsorg.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Saving

> This endpoint is used to deletes the saving for a specific user.

Endpoint: [https://cashboard-f5x2.onrender.com/saving/:id](https://cashboard-f5x2.onrender.com/saving/:id)  
Query Parameter: User's UUID

Path Parameter: Saving ID

The response will be a JSON object that includes details of the query. The properties include:

- status(string) - indicates whether it was successful or not
- message(string) - provides details



## OpenAPI

````yaml delete /savings/{id}
openapi: 3.0.0
info:
  title: Cashboard API
  description: >-
    Cashboard is a personal finance tool that helps users keep track of their
    income, expenses, savings and investments.


    API URL: `https://cashboard-f5x2.onrender.com`


    The Cashboard API has endpoints for:


    - Users

    - Accounts

    - Income

    - Expenses

    - Savings

    - Investments
  version: 1.0.0
servers:
  - url: https://cashboard-f5x2.onrender.com
security: []
tags:
  - name: User
    description: |-
      Cashboard uses the users endpoint to:

      - create a new user
      - get a user details
      - update user details
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/user`
  - name: Account
    description: |-
      These endpoints are used to:

      - create account
      - get all user's accounts
      - get account
      - update accounts
      - delete accounts.
          

      The endpoint URL is: `https://cashboard-f5x2.onrender.com/account`
  - name: Income
    description: |-
      These endpoints are used to:

      - create an income source
      - get all income source
      - get an income source
      - update income source
      - delete income source
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/income`
  - name: Expenses
    description: |-
      These endpoints are used to:

      - create an expense
      - get all expenses
      - get an expense
      - update an expense
      - delete an expense
          

      The endpoint URL is: `https://cashboard-f5x2.onrender.com/expenses`
  - name: Savings
    description: |-
      These endpoints are used to:

      - create a saving
      - get all savings
      - get a saving
      - update a saving
      - delete a saving
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/savings`
  - name: Investments
    description: |-
      These endpoints are used to:

      - create an investment
          
      - get all investments
          
      - get an investment
          
      - update an investment
          
      - delete an investment
          

      The endpoint URL: `https://cashboard-f5x2.onrender.com/investments`
paths:
  /savings/{id}:
    delete:
      tags:
        - Savings
      summary: Saving
      description: >-
        This endpoint is used to deletes the saving for a specific user.


        Endpoint:
        [https://cashboard-f5x2.onrender.com/saving/:id](https://cashboard-f5x2.onrender.com/saving/:id)  

        Query Parameter: User's UUID


        Path Parameter: Saving ID


        The response will be a JSON object that includes details of the query.
        The properties include:


        - status(string) - indicates whether it was successful or not

        - message(string) - provides details
      parameters:
        - name: user
          in: query
          schema:
            type: string
          example: '{{user_id}}'
        - name: id
          in: path
          schema:
            type: string
          required: true
          example: 662fd2808f1d17198913a0c8
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Mon, 29 Apr 2024 18:54:41 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            CF-Ray:
              schema:
                type: string
                example: 87c18085aead82aa-IAD
            CF-Cache-Status:
              schema:
                type: string
                example: DYNAMIC
            ETag:
              schema:
                type: string
                example: W/"3d-sWmL9t3pYUerwrjaNxVBhluDnHM"
            Vary:
              schema:
                type: string
                example: Origin, Accept-Encoding
            rndr-id:
              schema:
                type: string
                example: bf910617-a434-4b2b
            x-powered-by:
              schema:
                type: string
                example: Express
            x-render-origin-server:
              schema:
                type: string
                example: Render
            Server:
              schema:
                type: string
                example: cloudflare
            Content-Encoding:
              schema:
                type: string
                example: br
            alt-svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
              examples:
                example-0:
                  summary: Success
                  value:
                    status: success
                    message: Saving successfully deleted!
                example-1:
                  summary: Error
                  value:
                    status: error
                    message: Saving not deleted!

````